
#include <MFRC522.h>
#include <SPI.h>
#include <SD.h>
#include <RTClib.h>
#define CS_RFID 53
#define RST_RFID 8
//#define CS_SD 10
//#define RST_SD 8 
//File myFile;
MFRC522 rfid(CS_RFID, RST_RFID);
String uidString;
RTC_DS1307 rtc;
const int buzzer = 5;
void setup() {
  // put your setup code here, to run once:
  pinMode(buzzer, OUTPUT);
  Serial.begin(9600);
  while(!Serial);
  SPI.begin(); 
    rfid.PCD_Init(); 

     /*Serial.print("Initializing SD card...");
  if(!SD.begin(CS_SD)) {
    Serial.println("initialization failed!");
    return;
  }
  Serial.println("initialization done.");*/
  
    if(!rtc.begin()) {
    Serial.println("Couldn't find RTC");
    while(1);
  }
  else {
    // following line sets the RTC to the date & time this sketch was compiled
    rtc.adjust(DateTime(F(__DATE__), F(__TIME__)));
  }
  if(!rtc.isrunning()) {
    Serial.println("RTC is NOT running!");
  }
}


void loop() {
  // put your main code here, to run repeatedly:

  if(rfid.PICC_IsNewCardPresent()) {
    readRFID();
    //logCard();
    //verifyCheckIn();
  }
  delay(1000);
}
void readRFID() {
DateTime now = rtc.now();
  rfid.PICC_ReadCardSerial();
  Serial.print("Tag UID: ");
  uidString = String(rfid.uid.uidByte[0]) + " " + String(rfid.uid.uidByte[1]) + " " + 
    String(rfid.uid.uidByte[2]) + " " + String(rfid.uid.uidByte[3]);
  Serial.println(uidString);
  /*tone(buzzer, 2000); 
  delay(100);        
  noTone(buzzer);
  delay(100);*/
Serial.print(now.month(),DEC);
Serial.print(" / ");
Serial.print(now.day(), DEC);
Serial.print(" / ");
Serial.println(now.year(),DEC);
Serial.print(now.hour(), DEC);
Serial.print(" : ");
Serial.println(now.minute(), DEC);  
  delay (1000);
    
    
}
/*void logCard() {
  // Enables SD card chip select pin
  digitalWrite(CS_SD,LOW);
  
  // Open file
  myFile=SD.open("DATA.txt", FILE_WRITE);

  // If the file opened ok, write to it
  if (myFile) {
    Serial.println("File opened ok");
    myFile.print(uidString);
    myFile.print(", ");   
    
    // Save time on SD card
    DateTime now = rtc.now();
    myFile.print(now.year(), DEC);
    myFile.print('/');
    myFile.print(now.month(), DEC);
    myFile.print('/');
    myFile.print(now.day(), DEC);
    myFile.print(',');
    myFile.print(now.hour(), DEC);
    myFile.print(':');
    myFile.println(now.minute(), DEC);
    
    // Print time on Serial monitor
    Serial.print(now.year(), DEC);
    Serial.print('/');
    Serial.print(now.month(), DEC);
    Serial.print('/');
    Serial.print(now.day(), DEC);
    Serial.print(' ');
    Serial.print(now.hour(), DEC);
    Serial.print(':');
    Serial.println(now.minute(), DEC);
    Serial.println("sucessfully written on SD card");
    myFile.close();
  }
  digitalWrite(CS_SD,HIGH);
}*/

